DependencyTable.TimestampChecker (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.DependencyTable.TimestampChecker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class DependencyTable.TimestampChecker

    java.lang.Object
      net.sf.antcontrib.cpptasks.DependencyTable.DependencyVisitor
          net.sf.antcontrib.cpptasks.DependencyTable.TimestampChecker

Enclosing class:
  DependencyTable

    public class DependencyTable.TimestampChecker

extends DependencyTable.DependencyVisitor

Constructor Summary
`DependencyTable.TimestampChecker(long outputLastModified, boolean rebuildOnStackExhaustion)`

Method Summary
`boolean` | `getMustRebuild()`
`boolean` | `preview(DependencyInfo parent, DependencyInfo[] children)` Previews all the children of this source file.
`void` | `stackExhausted()` Called if the dependency depth exhausted the stack.
`boolean` | `visit(DependencyInfo dependInfo)` Visits the dependency info.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependencyTable.TimestampChecker

    public DependencyTable.TimestampChecker(long outputLastModified,
                                            boolean rebuildOnStackExhaustion)

Method Detail

### getMustRebuild

    public boolean getMustRebuild()

### preview

    public boolean preview(DependencyInfo parent,
                           DependencyInfo[] children)

  Description copied from class: `DependencyTable.DependencyVisitor`
  Previews all the children of this source file. May be called multiple times as DependencyInfo's for children are filled in.

  Specified by:
    `preview` in class `DependencyTable.DependencyVisitor`
  Returns:
    true to continue towards recursion into included files

### stackExhausted

    public void stackExhausted()

  Description copied from class: `DependencyTable.DependencyVisitor`
  Called if the dependency depth exhausted the stack.

  Specified by:
    `stackExhausted` in class `DependencyTable.DependencyVisitor`

### visit

    public boolean visit(DependencyInfo dependInfo)

  Description copied from class: `DependencyTable.DependencyVisitor`
  Visits the dependency info.

  Specified by:
    `visit` in class `DependencyTable.DependencyVisitor`
  Returns:
    true to continue towards recursion into included files

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.